import math

def sin(i):
	return math.sin(i / 256.0 * math.pi * 2)
	
def sqr(i):
	if i < 128:
		return -1.0
	else:
		return 1.0
		
	
def to_str(i):
	return hex(int(((i + 1.0)/2) * 65535) - 32768)

def note_to_freq(i): #16ths of a tone starting at c0
	return hex(round(2**(i/16.0/12)*16.3516))

#print(", ".join(list(map(to_str, map(sqr, range(256))))))

print(", ".join(list(map(note_to_freq, range(120*16)))))